UTF8Decoder (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.buf.UTF8Decoder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class UTF8Decoder

    java.lang.Object
      org.apache.tomcat.util.buf.B2CConverter
          org.apache.tomcat.util.buf.UTF8Decoder

    public final class UTF8Decoder

extends B2CConverter

Moved from ByteChunk - code to convert from UTF8 bytes to chars. Not used in the current tomcat3.3 : the performance gain is not very big if the String is created, only if we avoid that and work only on char[]. Until than, it's better to be safe. ( I tested this code with 2 and 3 bytes chars, and it works fine in xerces ) Cut from xerces' UTF8Reader.copyMultiByteCharData()

Author:
  Costin Manolache, ( Xml-Xerces )

Constructor Summary
`UTF8Decoder()`

Method Summary
`void` | `convert(ByteChunk mb, CharChunk cb)` Convert a buffer of bytes into a chars
`void` | `recycle()` Reset the internal state, empty the buffers.

Methods inherited from class org.apache.tomcat.util.buf.B2CConverter
`convert, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UTF8Decoder

    public UTF8Decoder()

Method Detail

### recycle

    public void recycle()

  Description copied from class: `B2CConverter`
  Reset the internal state, empty the buffers. The encoding remain in effect, the internal buffers remain allocated.

  Overrides:
    `recycle` in class `B2CConverter`

### convert

    public void convert(ByteChunk mb,
                        CharChunk cb)
                 throws java.io.IOException

  Description copied from class: `B2CConverter`
  Convert a buffer of bytes into a chars

  Overrides:
    `convert` in class `B2CConverter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.